org.apache.xmlgraphics.image.loader.impl

## Class ImageLoaderRawJPEG

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader
  - - org.apache.xmlgraphics.image.loader.impl.ImageLoaderRawJPEG

- All Implemented Interfaces:
    JPEGConstants, ImageLoader

      public class ImageLoaderRawJPEG
      extends AbstractImageLoader
      implements JPEGConstants

  ImageLoader for JPEG images consumed "raw" (undecoded). Provides a raw/undecoded stream.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.commons.logging.Log` | `log` logger

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.impl.JPEGConstants

      `APP0, APP1, APP2, APPD, APPE, APPF, EOI, MARK, NULL, SOF0, SOF1, SOF2, SOFA, SOI, SOS`

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageLoader

      `MEDIUM_LOADING_PENALTY, NO_LOADING_PENALTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageLoaderRawJPEG()` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImageFlavor` | `getTargetFlavor()` Returns the image flavor that is returned by this ImageLoader implementation.
    `Image` | `loadImage(ImageInfo info, java.util.Map<java.lang.String,java.lang.Object> hints, ImageSessionContext session)` Loads and returns an image.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader

      `getUsagePenalty, ignoreColorProfile, loadImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.apache.commons.logging.Log log

      logger

  - ### Constructor Detail

    - #### ImageLoaderRawJPEG

          public ImageLoaderRawJPEG()

      Main constructor.

  - ### Method Detail

    - #### getTargetFlavor

          public ImageFlavor getTargetFlavor()

      Returns the image flavor that is returned by this ImageLoader implementation.
      Specified by:
        `getTargetFlavor` in interface `ImageLoader`
      Returns:
        the target image flavor

    - #### loadImage

          public Image loadImage(ImageInfo info,
                                 java.util.Map<java.lang.String,java.lang.Object> hints,
                                 ImageSessionContext session)
                          throws ImageException,
                                 java.io.IOException

      Loads and returns an image.
      Specified by:
        `loadImage` in interface `ImageLoader`
      Parameters:
        `info` - the image info object indicating the image
        `hints` - a Map of hints that can be used by implementations to customize the loading process (may be null).
        `session` - the session context
      Returns:
        the fully loaded image
      Throws:
        `ImageException` - if an error occurs while loading the image
        `java.io.IOException` - if an I/O error occurs while loading the image

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.